WHAT(1)

NAME
what - extract SCCS version information from a file

SYNOPSIS
what [ -s ] filename ...

DESCRIPTION
what searches each filename for occurrences of the pattern @(#) that the SCCS get command (see sccs-get(1)) substitutes for the %Z% ID keyword, and prints what follows up to a ", >, NEWLINE, \, or null character. For instance, if the C program in file program.c contains

    char sccsid[] = "@(#)identification information";

and program.c is compiled to yield program.o and a.out, the command:
    what program.c program.o a.out

produces:

    program.c:
        identification information

    program.o:
        identification information

    a.out:
        identification information

OPTIONS

-s  Stop after the first occurrence of the pattern.

SEE ALSO
sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), sccsfile(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).

BUGS

There is a remote possibility that a spurious occurrence of the `@(#)' pattern could be found by what.